# coding: utf-8

import sys
from setuptools import setup, find_packages

NAME = "src"
VERSION = "1.0.0"
# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = ["connexion"]

setup(
    name=NAME,
    version=VERSION,
    description="AURA Engine API",
    author_email="david.trattnig@subsquare.at",
    url="",
    keywords=["Swagger", "AURA Engine API"],
    install_requires=REQUIRES,
    packages=find_packages(),
    package_data={'': ['swagger/swagger.yaml']},
    include_package_data=True,
    entry_points={
        'console_scripts': ['src=src.__main__:main']},
    long_description="""\
    This is the AURA Engine API. Read more at https://gitlab.servus.at/aura/engine.
    """
)
